From 3c3b70ba5044610f4825c8eb46008f8f75904c88 Mon Sep 17 00:00:00 2001
From: Tanzeel Khan <tzlkhan@amazon.com>
Date: Mon, 28 Apr 2025 12:59:32 +0000
Subject: [PATCH] Remove redundant comment about RelationBuildRowSecurity

RelationBuildRowSecurity does not create the default-deny
policy so remove the comment which says so.
---
 src/backend/utils/cache/relcache.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

diff --git a/src/backend/utils/cache/relcache.c b/src/backend/utils/cache/relcache.c
index 68ff67de549..2f0958b96c5 100644
--- a/src/backend/utils/cache/relcache.c
+++ b/src/backend/utils/cache/relcache.c
@@ -4328,10 +4328,7 @@ RelationCacheInitializePhase3(void)
 
 		/*
 		 * Re-load the row security policies if the relation has them, since
-		 * they are not preserved in the cache.  Note that we can never NOT
-		 * have a policy while relrowsecurity is true,
-		 * RelationBuildRowSecurity will create a single default-deny policy
-		 * if there is no policy defined in pg_policy.
+		 * they are not preserved in the cache.
 		 */
 		if (relation->rd_rel->relrowsecurity && relation->rd_rsdesc == NULL)
 		{
-- 
2.47.1

